@charset "UTF-8";
/* Start ============ preloaderSet 預載 ========================  preloaderSet 預載 ============ */
.preloader_01 .preloaderSet {
  position: fixed;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  background: rgba(128, 0, 0, 0);
  z-index: 6006;
  text-align: center;
}
.preloader_01 .preloaderSet .preloaderSet_ring {
  position: relative;
  width: 200px;
  height: 200px;
  border-radius: 50%;
  -webkit-animation: ring_animation 2s linear infinite;
          animation: ring_animation 2s linear infinite;
}
.preloader_01 .preloaderSet .preloaderSet_ring:before {
  position: absolute;
  content: "";
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  border-radius: 50%;
  -webkit-box-shadow: 0 0 5px rgba(255, 255, 255, 0.3);
          box-shadow: 0 0 5px rgba(255, 255, 255, 0.3);
}
.preloader_01 .preloaderSet .preloaderSet_percentage, .preloader_01 .preloaderSet .preloaderSet_preloader_text {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  z-index: 1;
}
.preloader_01 .preloaderSet .preloaderSet-progress {
  display: none;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  z-index: 1;
  height: 5px;
  width: 0;
  margin-top: 50px;
  background-color: #eee;
  -webkit-transition: width 0.1s ease;
  transition: width 0.1s ease;
}
.preloader_01 .preloaderSet .preloaderSet_percentage {
  color: #eee;
  font-size: 1.8rem;
  font-weight: 200;
  margin-top: -10px;
  background: rgba(128, 0, 0, 0);
  text-align: center;
}
.preloader_01 .preloaderSet .preloaderSet_preloader_text {
  color: #eee;
  font-size: 0.7rem;
  letter-spacing: 5px;
  margin-top: 15px;
  margin-left: 10px;
  -webkit-animation: preloader_animation 3s ease-in-out infinite;
          animation: preloader_animation 3s ease-in-out infinite;
}
.preloader_01 .preloaderSet_overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: grid;
  opacity: 1;
  pointer-events: none;
  z-index: 6000;
  pointer-events: all;
  --columns:14;
  grid-template-columns: repeat(var(--columns), 1fr);
  grid-template-rows: repeat(10, 1fr);
}
.preloader_01 .preloaderSet_overlay.over {
  background: #002147;
  opacity: 1;
}
.preloader_01 .preloaderSet_overlay div {
  background: #002147;
  height: 100%;
}

body.no-scroll {
  overflow-x: hidden;
}

@-webkit-keyframes ring_animation {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
    -webkit-box-shadow: 1px 5px 2px #fff;
            box-shadow: 1px 5px 2px #fff;
  }
  50% {
    -webkit-transform: rotate(180deg);
            transform: rotate(180deg);
    -webkit-box-shadow: 1px 5px 2px #fff;
            box-shadow: 1px 5px 2px #fff;
  }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
    -webkit-box-shadow: 1px 5px 2px #fff;
            box-shadow: 1px 5px 2px #fff;
  }
}

@keyframes ring_animation {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
    -webkit-box-shadow: 1px 5px 2px #fff;
            box-shadow: 1px 5px 2px #fff;
  }
  50% {
    -webkit-transform: rotate(180deg);
            transform: rotate(180deg);
    -webkit-box-shadow: 1px 5px 2px #fff;
            box-shadow: 1px 5px 2px #fff;
  }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
    -webkit-box-shadow: 1px 5px 2px #fff;
            box-shadow: 1px 5px 2px #fff;
  }
}
@-webkit-keyframes preloader_animation {
  50% {
    color: #002147;
  }
}
@keyframes preloader_animation {
  50% {
    color: #002147;
  }
}